Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class Notation

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.Notation

All Implemented Interfaces:
  SchemaComponent, java.io.Serializable, javax.xml.transform.SourceLocator, UserSchemaComponent

public class Notation
extends SchemaStructure
implements UserSchemaComponent

An XML Schema Notation

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.saxon.type.SchemaComponent
`FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

Constructor Summary
`Notation(PreparedSchema schema, javax.xml.transform.SourceLocator locator)` Creates a new Notation

Method Summary
`boolean` | `fixup(PreparedSchema schema)` Check references from this component to other components
`java.util.Iterator` | `getComponentReferences()` Get the component references from this component to other components.
`java.util.Iterator` | `getContainedComponents()` Get the components that are immediately contained within this component.
`int` | `getFingerprint()`
`java.lang.String` | `getName()` Returns the name of this Notation.
`java.lang.String` | `getNotationPublicId()` Get the public Id of the notation
`java.lang.String` | `getNotationSystemId()` Get the system Id of the notation
`void` | `setFingerprint(int fingerprint)` Set the fingerprint of the notation
`void` | `setName(java.lang.String name)` Set the name of the notation
`void` | `setNotationPublicId(java.lang.String publicId)`
`void` | `setNotationSystemId(java.lang.String systemId)`
`boolean` | `validate(PreparedSchema schema)` Checks the validity of this Notation.

Methods inherited from class com.saxonica.schema.SchemaStructure
`getColumnNumber, getFixupStatus, getLineNumber, getPublicId, getSchema, getSystemId, getValidationStatus, lookForCycles, setFixupStatus, setLineNumber, setLocator, setSchema, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.saxonica.schema.UserSchemaComponent
`lookForCycles`

Methods inherited from interface net.sf.saxon.type.SchemaComponent
`getValidationStatus`

Constructor Detail

### Notation

    public Notation(PreparedSchema schema,
                    javax.xml.transform.SourceLocator locator)

  Creates a new Notation

Parameters:
  `schema` - the XML Schema to which this Notation belongs

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name of the notation

### setFingerprint

    public void setFingerprint(int fingerprint)

  Set the fingerprint of the notation

### getFingerprint

    public int getFingerprint()

### setNotationSystemId

    public void setNotationSystemId(java.lang.String systemId)

### setNotationPublicId

    public void setNotationPublicId(java.lang.String publicId)

### getNotationSystemId

    public java.lang.String getNotationSystemId()

  Get the system Id of the notation

### getNotationPublicId

    public java.lang.String getNotationPublicId()

  Get the public Id of the notation

### getName

    public java.lang.String getName()

  Returns the name of this Notation.

### validate

    public boolean validate(PreparedSchema schema)
                     throws SchemaException

  Checks the validity of this Notation.

  Specified by:
    `validate` in interface `UserSchemaComponent`
  Parameters:
    `schema` - if this is not null, any errors that are detected should be reported using the error() method of this schema.
  Returns:
    true when this Schema definition is valid, otherwise false.
  Throws:
    `SchemaException`

### fixup

    public boolean fixup(PreparedSchema schema)
                  throws SchemaException

  Check references from this component to other components

  Specified by:
    `fixup` in interface `UserSchemaComponent`
  Parameters:
    `schema` - The schema is used for reporting errors
  Returns:
    true if all is well, false if errors found
  Throws:
    `SchemaException`

### getContainedComponents

    public java.util.Iterator getContainedComponents()

  Get the components that are immediately contained within this component. The objects returned by this iterator must be instances of UserSchemaComponent. The result may be null if there are no contained components. Where components may either be contained or referenced (e.g. the member types of a union type) they are treated as being referenced rather than contained.

### getComponentReferences

    public java.util.Iterator getComponentReferences()

  Get the component references from this component to other components.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD